/*
 * $Id$
*/

/*
 * HMG 4 demo
 * (c) 2010 Roberto Lopez <mail.box.hmg@gmail.com>
*/

#include "set.ch"
#include "hmg.ch"

MEMVAR oWindow

FUNCTION Main

   LOCAL nRow
   
   HbQt_ErrorSys()

   DEFINE MAINWINDOW oWindow
      ROW            10
      COL            10
      WIDTH          700
      HEIGHT         600
      VIRTUALWIDTH   900
      VIRTUALHEIGHT  1024
      TITLE          "TEXTBOX - CMD demo"
      ONINIT         Udf_OnInit()

      nRow := 10
      DEFINE LABEL Labl01
         ROW               nRow
         COL               10
         WIDTH             500
         HEIGHT            30
         FONTBOLD          .T.
         FONTSIZE          14
         BACKCOLOR         { 196, 196, 196 }
         ALIGNMENT CENTER
         CAPTION           "data type TEXT"
         TABSTOP           .F.
      END LABEL

      nRow += 40
      DEFINE LABEL Labl02
         ROW               nRow
         COL               10
         WIDTH             500
         HEIGHT            20
         CAPTION           "Press ENTER on field to show info"
         TABSTOP           .F.
      END LABEL

      nRow += 40
      DEFINE LABEL Labl03
         ROW               nRow
         COL               10
         WIDTH             200
         HEIGHT            20
         CAPTION           "Free text"
         TABSTOP           .F.
      END LABEL
      DEFINE TEXTBOX TxtB1
         ROW               nRow
         COL               220
         WIDTH             200
         HEIGHT            20
         VALUE             "Free text left aligned"
         ONENTER           Udf_OnEnter( THISWINDOW:TxtB1 )
      END WITH

      nRow += 30
      DEFINE LABEL Labl04
         ROW               nRow
         COL               10
         WIDTH             200
         HEIGHT            20
         CAPTION           "Free text on RIGHT"
         TABSTOP           .F.
      END LABEL
      DEFINE TEXTBOX TxtB2
         ROW               nRow
         COL               220
         WIDTH             200
         HEIGHT            20
         VALUE             "Free text right aligned"
         RIGHTALIGN        .T.
         ONENTER           Udf_OnEnter( THISWINDOW:TxtB2 )
      END WITH

      nRow += 30
      DEFINE LABEL Labl05
         ROW               nRow
         COL               10
         WIDTH             200
         HEIGHT            20
         CAPTION           "MaxLen 10"
         TABSTOP           .F.
      END LABEL
      DEFINE TEXTBOX TxtB3
         ROW               nRow
         COL               220
         WIDTH             200
         HEIGHT            20
         VALUE             "aBcD12&?oU"
         MAXLENGTH         10
         ONENTER           Udf_OnEnter( THISWINDOW:TxtB3 )
      END WITH

      nRow += 30
      DEFINE LABEL Labl06
         ROW               nRow
         COL               10
         WIDTH             200
         HEIGHT            20
         CAPTION           "UPPER case"
         TABSTOP           .F.
      END LABEL
      DEFINE TEXTBOX TxtB4
         ROW               nRow
         COL               220
         WIDTH             200
         HEIGHT            20
         VALUE             "aBcD12&?oU"
         CASECONVERT       TXT_UPPER
         ONENTER           Udf_OnEnter( THISWINDOW:TxtB4 )
      END WITH

      nRow += 30
      DEFINE LABEL Labl07
         ROW               nRow
         COL               10
         WIDTH             200
         HEIGHT            20
         CAPTION           "LOWER case"
         TABSTOP           .F.
      END LABEL
      DEFINE TEXTBOX TxtB5
         ROW               nRow
         COL               220
         WIDTH             200
         HEIGHT            20
         VALUE             "aBcD12&?oU"
         CASECONVERT       TXT_LOWER
         ONENTER           Udf_OnEnter( THISWINDOW:TxtB5 )
      END WITH

      nRow += 30
      DEFINE LABEL Labl08
         ROW               nRow
         COL               10
         WIDTH             200
         HEIGHT            20
         CAPTION           "ISBN 999-99-99999-99-9"
         TABSTOP           .F.
      END LABEL
      DEFINE TEXTBOX TxtB6
         ROW               nRow
         COL               220
         WIDTH             200
         HEIGHT            20
         VALUE             "978-88-89637-15-9"
         INPUTMASK         "999-99-99999-99-9"
         ONENTER           Udf_OnEnter( THISWINDOW:TxtB6 )
      END WITH

      nRow += 30
      DEFINE LABEL Labl09
         ROW               nRow
         COL               10
         WIDTH             200
         HEIGHT            20
         CAPTION           "(AAA)999-NNN/9"
         TABSTOP           .F.
      END LABEL
      DEFINE TEXTBOX TxtB7
         ROW               nRow
         COL               220
         WIDTH             200
         HEIGHT            20
         VALUE             "(cDe)123-a3B/1"
         INPUTMASK         "(AAA)999-NNN/9"
         ONENTER           Udf_OnEnter( THISWINDOW:TxtB7 )
      END WITH

      nRow += 30
      DEFINE LABEL Labl10
         ROW               nRow
         COL               10
         WIDTH             200
         HEIGHT            20
         CAPTION           "(AAA)999-NNN/9"
         TABSTOP           .F.
      END LABEL
      DEFINE TEXTBOX TxtB8
         ROW               nRow
         COL               220
         WIDTH             200
         HEIGHT            20
         VALUE             ""
         INPUTMASK         "(AAA)999-NNN/9"
         ONENTER           Udf_OnEnter( THISWINDOW:TxtB8 )
      END WITH

      nRow += 30
      DEFINE LABEL Labl11
         ROW               nRow
         COL               10
         WIDTH             200
         HEIGHT            20
         CAPTION           "Password"
         TABSTOP           .F.
      END LABEL
      DEFINE TEXTBOX TxtB9
         ROW               nRow
         COL               220
         WIDTH             200
         HEIGHT            20
         VALUE             ""
         PASSWORD          .T.
         ONENTER           Udf_OnEnter( THISWINDOW:TxtB9 )
      END WITH

      nRow += 30
      DEFINE LABEL Labl12
         ROW               nRow
         COL               10
         WIDTH             200
         HEIGHT            20
         CAPTION           "!!99AA99XXX99NNN"
         TABSTOP           .F.
      END LABEL
      DEFINE TEXTBOX TxtB10
         ROW               nRow
         COL               220
         WIDTH             200
         HEIGHT            20
         VALUE             ""
         INPUTMASK         "!!99AA99XXX99NNN"
         ONENTER           Udf_OnEnter( THISWINDOW:TxtB10 )
      END WITH

   END WINDOW

   ACTIVATE WINDOW oWindow

RETURN NIL

STATIC FUNCTION Udf_OnInit

   CENTER WINDOW THISWINDOW
   THISWINDOW:TxtB1:SetFocus()

RETURN NIL

STATIC FUNCTION Udf_OnChange( oTextBoxObject )

   MsgInfo( "Current value is " + oTextBoxObject:Value )

RETURN NIL

STATIC FUNCTION Udf_OnEnter( oTextBoxObject )

   MsgInfo( "Current value is " + oTextBoxObject:Value )

RETURN NIL
